database_api.list_witness_votes
Purpose
Gibt eine Liste von Witness-Stimmen zurück. Parameter: start:array; limit:int; order:string
starthängt vonorderab (siehe unten)limit- bis zu 1000.orderkann einer der folgenden sein:by_account_witness- Ordnung nach Konto und Witnessstartist ein Array aus zwei Werten:account,witness
by_witness_account- Ordnung nach Witness und Kontostartist ein Array aus zwei Werten:witness,account
| start (array) | limit (int) | order (string) | | |----------------------------|---------------|-| | ["", ""] | 10 | "by_withdraw_route" | Abfrage der ersten 10 Stimmen, sortiert nach Konto und Witness | | ["", ""] | 10 | "by_destination" | Abfrage der ersten 10 Stimmen, sortiert nach Witness und Konto |
Siehe auch: Paginated API Methods
Parameters
PARAMETERS
json
{
"start": null,
"limit": 0,
"order": "by_name"
}Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_witness_votes",
"params": {
"start": [
"",
""
],
"limit": 10,
"order": "by_account_witness"
},
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_witness_votes",
"params": {
"start": [
"",
""
],
"limit": 10,
"order": "by_witness_account"
},
"id": 1
}'Response
RESPONSE
json
{
"votes": [
{
"id": 428961,
"witness": "aggroed",
"account": "a-0magic"
}
]
}